<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Data Fields - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.xhtml"><span>All</span></a></li>
      <li class="current"><a href="functions_func.xhtml"><span>Functions</span></a></li>
      <li><a href="functions_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="functions_enum.xhtml"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.xhtml#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="functions_func_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="functions_func_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.xhtml#index_q"><span>q</span></a></li>
      <li><a href="functions_func_r.xhtml#index_r"><span>r</span></a></li>
      <li class="current"><a href="functions_func_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="functions_func_y.xhtml#index_y"><span>y</span></a></li>
      <li><a href="functions_func_z.xhtml#index_z"><span>z</span></a></li>
      <li><a href="functions_func_0x7e.xhtml#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_s.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>save_binary()
: <a class="el" href="classarm__compute_1_1_c_l_kernel_library.xhtml#a7c0b2aa80e920344936e8e7dbaa73e43">CLKernelLibrary</a>
</li>
<li>scale()
: <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#ac0960069e9d05e0ee93ef010ce63913a">PyramidInfo</a>
, <a class="el" href="classarm__compute_1_1_window.xhtml#a5e8e5ab06329702df09ab7eb07e9b84d">Window</a>
</li>
<li>scale_coeff()
: <a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a6f541aab23799f6c61d9c8d7ca9fe15c">NormalizationLayerInfo</a>
</li>
<li>set()
: <a class="el" href="classarm__compute_1_1_dimensions.xhtml#a982730e6f0da5f9490f59bc5f6bb3f27">Dimensions&lt; T &gt;</a>
, <a class="el" href="classarm__compute_1_1_window.xhtml#acd3d2bba51cb84d34dd7656ad2375a6e">Window</a>
</li>
<li>set_constant_border()
: <a class="el" href="classarm__compute_1_1_c_l_fill_border_kernel.xhtml#ac56c459beac7a6b904b6dece97b377e6">CLFillBorderKernel</a>
</li>
<li>set_context()
: <a class="el" href="classarm__compute_1_1_c_l_kernel_library.xhtml#a293edc1bbcbddffb7228ac97917ed107">CLKernelLibrary</a>
, <a class="el" href="classarm__compute_1_1_c_l_scheduler.xhtml#a293edc1bbcbddffb7228ac97917ed107">CLScheduler</a>
</li>
<li>set_device()
: <a class="el" href="classarm__compute_1_1_c_l_kernel_library.xhtml#a5a6865d04c8d3348860f3cb8100fdb97">CLKernelLibrary</a>
</li>
<li>set_dimension_step()
: <a class="el" href="classarm__compute_1_1_window.xhtml#a55ed4ad2395fd25ba847cbf6c54b85e4">Window</a>
</li>
<li>set_format()
: <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#a1f4481a2c496ef1d176f305c25f50202">TensorInfo</a>
</li>
<li>set_is_resizable()
: <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#a951c1a7a29e99b39d59ee44111291c76">TensorInfo</a>
</li>
<li>set_kernel_path()
: <a class="el" href="classarm__compute_1_1_c_l_kernel_library.xhtml#a66a558a56f5d0dcd6305c405ebc38cc2">CLKernelLibrary</a>
</li>
<li>set_num_dimensions()
: <a class="el" href="classarm__compute_1_1_dimensions.xhtml#a810a78f0b7cc0270f38d4136e023ea3b">Dimensions&lt; T &gt;</a>
</li>
<li>set_num_threads()
: <a class="el" href="classarm__compute_1_1_window.xhtml#aebe39f14cc20642a2a3a73560bb8f116">Window</a>
</li>
<li>set_queue()
: <a class="el" href="classarm__compute_1_1_c_l_scheduler.xhtml#a9608e5af9f3a199f69ca6aa41b94359a">CLScheduler</a>
</li>
<li>set_range()
: <a class="el" href="classarm__compute_1_1_i_distribution1_d.xhtml#a9027aed7fdb902ebc243647c8c3fbea2">IDistribution1D</a>
</li>
<li>set_step()
: <a class="el" href="classarm__compute_1_1_window_1_1_dimension.xhtml#aa84a724344a983832279fe13f047b52d">Window::Dimension</a>
</li>
<li>set_thread_id()
: <a class="el" href="classarm__compute_1_1_window.xhtml#a50ee380d076dd9ce06a35a76903f8b7b">Window</a>
</li>
<li>set_valid_region()
: <a class="el" href="classarm__compute_1_1_access_window_auto_padding.xhtml#a7f947a06cc9bc2896f3d0efc0201ac5a">AccessWindowAutoPadding</a>
, <a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#a718cd06814abc688b1abdc729ed3a71b">AccessWindowRectangle</a>
, <a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a729ab9364d77a28c009732b497c3b835">AccessWindowStatic</a>
, <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#a6922a99119f324abe0e16c9678f71922">TensorInfo</a>
</li>
<li>shift()
: <a class="el" href="classarm__compute_1_1_window.xhtml#ae688f3eb6c2673216d12d5490e1e88dc">Window</a>
</li>
<li>size()
: <a class="el" href="classarm__compute_1_1_i_distribution1_d.xhtml#ad7701a09a964eab360a8e51fa7ad2c16">IDistribution1D</a>
, <a class="el" href="classarm__compute_1_1_i_distribution.xhtml#aa983ddaeded5756189f46428be79c631">IDistribution</a>
, <a class="el" href="classarm__compute_1_1_i_lut_allocator.xhtml#aac782da1f912bceb5d8ad00c8dc892ac">ILutAllocator</a>
</li>
<li>Size2D()
: <a class="el" href="classarm__compute_1_1_size2_d.xhtml#ad03359b3091fe30dfef90a96ea4eba31">Size2D</a>
</li>
<li>size_in_bytes()
: <a class="el" href="classarm__compute_1_1_c_l_lut.xhtml#a68f33e9afee896dc24b32093d25c6766">CLLut</a>
, <a class="el" href="classarm__compute_1_1_i_lut.xhtml#a6314b1e589ffe32277858c018ac3c630">ILut</a>
, <a class="el" href="classarm__compute_1_1_lut.xhtml#a68f33e9afee896dc24b32093d25c6766">Lut</a>
</li>
<li>slide_window_slice_1D()
: <a class="el" href="classarm__compute_1_1_window.xhtml#a5cdf746368c9cfe7b07f1ebbb43810af">Window</a>
</li>
<li>slide_window_slice_2D()
: <a class="el" href="classarm__compute_1_1_window.xhtml#a25e4deca6ce9a7b258e791851eec3f05">Window</a>
</li>
<li>slide_window_slice_3D()
: <a class="el" href="classarm__compute_1_1_window.xhtml#a96febcbb5f48b24a562ae60353665654">Window</a>
</li>
<li>split_window()
: <a class="el" href="classarm__compute_1_1_window.xhtml#aa4ce41fc0f8c3203753a4fbee8211f5a">Window</a>
</li>
<li>start()
: <a class="el" href="classarm__compute_1_1_window_1_1_dimension.xhtml#a27c3790df96e9523b0370e7e10c0d375">Window::Dimension</a>
</li>
<li>step()
: <a class="el" href="classarm__compute_1_1_window_1_1_dimension.xhtml#a992b375fc3254afe2e38f63bc29a43d4">Window::Dimension</a>
</li>
<li>Steps()
: <a class="el" href="classarm__compute_1_1_steps.xhtml#ae1478601d1a4df4ce6952dfedc42aea6">Steps</a>
</li>
<li>stride()
: <a class="el" href="classarm__compute_1_1_pad_stride_info.xhtml#ad2f1ea50a9e215ad8ef612a724a4866a">PadStrideInfo</a>
</li>
<li>Strides()
: <a class="el" href="classarm__compute_1_1_strides.xhtml#aff8ae27aa78df0ff95b55bbf726c92da">Strides</a>
</li>
<li>strides_in_bytes()
: <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#a6b157a0e1ca25ef4d682d3bedfeae5f6">TensorInfo</a>
</li>
<li>sync()
: <a class="el" href="classarm__compute_1_1_c_l_scheduler.xhtml#ad55f80ed3cd8b6c4f247763b747016af">CLScheduler</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
